Difference between revisions of "Documentation/FAQ/Installation/Why is Java needed in OpenOffice.org?"

From Apache OpenOffice Wiki
Jump to: navigation, search
m (Added the AOO template to replace OpenOffice.org)
Line 1: Line 1:
{{DISPLAYTITLE: Why is Java needed in OpenOffice.org?}}
+
{{DISPLAYTITLE: Why is Java needed in {{Documentation/AOO}}.org?}}
  
 
<section begin=question/>
 
<section begin=question/>
'''Why is Java needed in OpenOffice.org?'''
+
'''Why is Java needed in {{Documentation/AOO}}?'''
 
<section end=question/>
 
<section end=question/>
  
 
<section begin=answer/>
 
<section begin=answer/>
Java is necessary for use of the following in OpenOffice.org:
+
Java is necessary for use of the following in {{Documentation/AOO}}:
  
 
* The built-in default database HSQLDB
 
* The built-in default database HSQLDB
Line 16: Line 16:
 
* Java Application Interface (API) programs for 3rdparty modules
 
* Java Application Interface (API) programs for 3rdparty modules
 
* All accessibility functions
 
* All accessibility functions
* The OpenOffice.org testtool and QaTestDev programs
+
* The {{Documentation/AOO}} testtool and QaTestDev programs
  
 
See also:  [[Documentation/FAQ/Installation/The installer is looking for Java. Does it really need it to work correctly?]]
 
See also:  [[Documentation/FAQ/Installation/The installer is looking for Java. Does it really need it to work correctly?]]

Revision as of 20:30, 19 October 2017


Why is Java needed in Template:Documentation/AOO?


Java is necessary for use of the following in Template:Documentation/AOO:

  • The built-in default database HSQLDB
  • JDBC database drivers
  • Many wizards, like the Autopilot/wizard form generators
  • Using the XSLT, flat XML filters
  • Using Java applets in OpenOffice.org
  • Using Java-based languages in the scripting framework
  • Java Application Interface (API) programs for 3rdparty modules
  • All accessibility functions
  • The Template:Documentation/AOO testtool and QaTestDev programs

See also: Documentation/FAQ/Installation/The installer is looking for Java. Does it really need it to work correctly?

Personal tools